---
title: "Set your name"
description: "Set the display name (used for passwordless email accounts with no name)."
canonical_url: https://docs.markdrop.in/api/account/set-your-name
last_updated: 2026-10-30
site: "Markdrop Docs"
index: https://docs.markdrop.in/llms.txt
---

# Set your name

`PATCH https://api.markdrop.in/api/v1/auth/me`

Set the display name (used for passwordless email accounts with no name).

- **Authentication:** API token required: `Authorization: Bearer mdk_…`.

## Request body

`application/json`, required.

- `name` (string, required): 1–80 characters.

## Responses

- `200`: OK.
  - `id` (string)
  - `email` (string)
  - `name` (string | null)
  - `picture` (string | null)
  - `providers` (array of string)
  - `created_at` (string (date-time)): ISO 8601, for example `2026-11-30T12:00:00Z`.
  - `analytics_digest` ("weekly" | "off"): Default `"weekly"`.
- `401`: No token, or the token is revoked or mistyped.
- `422`: The request didn't validate. `detail` lists each problem, with where it is (`loc`) and why (`msg`).

## Examples

**curl**

```bash
curl -X PATCH https://api.markdrop.in/api/v1/auth/me \
  -H "Authorization: Bearer $MARKDROP_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"Sam Lee"}'
```

**JavaScript**

```javascript
const res = await fetch("https://api.markdrop.in/api/v1/auth/me", {
  method: "PATCH",
  headers: {
    Authorization: `Bearer ${process.env.MARKDROP_TOKEN}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    "name": "Sam Lee"
  }),
});
const data = await res.json();
```

**Python**

```python
import os

import requests

r = requests.patch(
    "https://api.markdrop.in/api/v1/auth/me",
    headers={"Authorization": f"Bearer {os.environ['MARKDROP_TOKEN']}"},
    json={"name": "Sam Lee"},
)
r.raise_for_status()
print(r.json())
```
